const fs = require("fs");
const ejs = require('ejs');
const path = require("path");
const sass = (require("sass"));
const templateFile = path.join(__dirname, "theme/template.ejs");
const sassFile = path.join(__dirname, "theme/style.scss");

const render = (resume) => {
  let css = sass.compile(sassFile);
  css.tagOpen = "<style>"
  css.tagClose = "</style>"
  let redneredTemplate = ejs.render(fs.readFileSync(templateFile, {encoding: "utf-8"}), {resume: resume, css: css});
  return redneredTemplate
};

module.exports = {
  render,
};
